# -*- coding: utf-8 -*-
from __future__ import print_function
from __future__ import unicode_literals
#from __future__ import absolute_import
from __future__ import division

def __to_keyvalue_str(keyvalue, line_sep="\r\n"):
    if not keyvalue:
        return None
    keyvalue_str = ""
    for key in keyvalue:
        if keyvalue[key] == None:
            continue
        keyvalue_str += "=".join((key, str(keyvalue[key]))) + line_sep
    if not keyvalue_str:
        return None
    return keyvalue_str

def __to_keyvalue(keyvalue_str, line_sep="\r\n"):
    if not keyvalue_str:
        return None
    keyvalue = {}
    for line in keyvalue_str.split(line_sep):
        if not line:
            continue
        cols = line.split("=")
        if len(cols) <= 1:
            continue
        keyvalue[cols[0]] = "=".join(cols[1:])
    return keyvalue

